Subject: A question on Infinite leases

From: "Manpuria, Aditya" <[email-masked]>
Date: Sat, 3 Mar 2001 12:04:22 -0800

Hi,
    Is it necessary for a DHCP server to be able to support inifinite leases
in order to claim compliance with the DHCP standards.

    I went through RFC2131 and found the following -
----------------------------------------------------------------------------
------
2. Protocol Summary

DHCP defines mechanisms through which clients can be assigned a
network address for a finite lease, allowing for serial reassignment
of network addresses to different clients.  

2.2 Dynamic allocation of network addresses

The client may ask for a permanent assignment by asking for an infinite
lease.  Even when assigning "permanent" addresses, a server may choose to
give out
lengthy but non-infinite leases to allow detection of the fact that
the client has been retired.

3.3 Interpretation and representation of time values

   A client acquires a lease for a network address for a fixed period of
   time (which may be infinite).  Throughout the protocol, times are to
   be represented in units of seconds.  The time value of 0xffffffff is
   reserved to represent "infinity".

---------------------------------------------------------------------------

The RFC does not state whether it is a MUST/MAY for a DHCP server to be able
to 
hand out infinite leases. On one hand, the RFC describes DHCP as a mechanism
of 
providing finite-leased IP addresses whereas on the other it has provisions
for
inifinite leases as well.

Could someone please guide me on this issue.

Thanks,
Aditya.

---

From: [email-masked]
Date: Tue, 6 Mar 2001 14:59:43 -0500

From: "Manpuria, Aditya" <[email-masked]>

I do not know if it is stated explicitly in the RFC, but the server
has final authority over all aspects of the leases.  So, from the
protocol point of view, a server need not support infinite leases,
since the client is not guaranteed that it can obtain an infinite
lease even if it requests one.

(From the point of view of the interface between the administrator and
the server, it may or may not be possible to configure the server to
give out infinite leases, but my belief is that that is outside the
scope of the RFC.)

Dale
-- 
Dale R. WORLEY    Project Manager - UPnP        <[email-masked]>
Virata Corp.	  Applications Infrastructure   http://emweb.com